#pragma once
#include <fstream>
#include <string>
#include <vector>

namespace csv {
    class CsvReader {
        private:
        std::ifstream m_stream;

        public:
        CsvReader(auto stream): m_stream(stream){};
        ~CsvReader() = default;

        bool operator>>(std::vector<std::string>& line);
    };
}
